package com.gic.haoban.manage.web.qo.offline;

import com.gic.commons.web.qo.PageQo;

import java.io.Serializable;

/**
 * @description: 这里是描述文字
 * @author: 巴弗
 * @createDate: 2022/11/22 15:25
 */
public class PageOfflinePreQO  extends PageQo implements Serializable{

    private static final long serialVersionUID = 1L;


    /**
     * 会员ID
     */
    private String memberId;

    /**
     * 企业ID
     */
    private String enterpriseId;

    /**
     * type 1：预约中 2：历史预约
     */
    private Integer type;

    /**
     * 门店ID
     */
    private String storeId;


    /**
     * 查询角色 1:会员 2：导购
     */
    private Integer role;

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public Integer getRole() {
        return role;
    }

    public void setRole(Integer role) {
        this.role = role;
    }
}
